body {
  margin: 0;
  padding: 0;
}

.div-1 {
  background: green;
  box-sizing: border-box;
  margin: 0;
  width: 50%;
  display: none;
}

#span-1 {
  background: purple;
  width: 200px;
  height: 200px;
}

#span-2 {
  background: red;
  display: block;
}

#div-2 {
  display: none;
}

#image {
  width: 250px;
  height: 250px;
  border-radius: 50%;
}

#p-1 {
  background: orange;
}

#p-2 {
  background: pink;
  width: 60%;
}

#p-3 {
  background: brown;
  width: 40%;
}

.sample {
  background: violet;
  display: inline-block;
  border: 2px solid black;
  width: 30%;
  text-align: center;
  box-shadow: 2px 4px 4px 2px rgba(0, 0, 0, 0.2);
  margin: 0;
  padding: 0;
}

.image {
  width: 50px;
  height: 50px;
  float: right;
}

.box {
  background: red;
  border: 2px solid black;
  margin: 5px;
}

.fifty-percent {
  width: 50%;
}

.hundred-pixels {
  width: 100px;
}

.fifty-vw {
  width: 50vw;
}

.fifty-vh {
  height: 50vh;
}

.parent {
  background: pink;
  border: 2px solid black;
  width: 20%;
  font-size: 50px;
}

.one-rem {
  font-size: 1rem;
}
.one-em {
  font-size: 1em;
}
.two-rem {
  font-size: 2rem;
}
.two-em {
  font-size: 2em;
}

/* Background Properties */

.background {
  min-height: 100vh;
  background: gray;
  background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}

.background__container {
  min-height: 100vh;
  background: rgba(0, 0, 0, 0.5);
}

.background__title {
  color: white;
  text-align: center;
  font-size: 5em;
  margin: 0;
  line-height: 30rem;
}

/* CSS Positioning */

.parent-positioning {
  background: skyblue;
  padding: 10px;
}

.parent-positioning__child1 {
  background: gray;
  padding: 10px;
}

.parent-positioning__child2 {
  background: yellow;
  padding: 10px;
  position: relative;
}

.parent-positioning__child3 {
  background: gray;
  padding: 10px;
}

/* Z-index */

.index__container {
  position: relative;
}

.black-box {
  border: 2px solid black;
  height: 100px;
  width: 30%;
}

.gray-box {
  background: rgb(205, 205, 205);
  position: absolute;
  height: 60px;
  width: 70%;
  left: 50px;
  top: 50px;
  z-index: 1;
}

.green-box {
  position: absolute;
  background: lightgreen;
  width: 35%;
  left: 270px;
  top: -15px;
  height: 100px;
}
